<?php

  // Namespace
  namespace BMI\Plugin;

  // Use classes
  use BMI\Plugin\BMI_Logger as Logger;
  use BMI\Plugin\Backup_Migration_Plugin as BMP;
  use BMI\Plugin\Extracter\BMI_Extracter as Extracter;
  use BMI\Plugin\Progress\BMI_MigrationProgress as MigrationProgress;

  // Allow only PHP CLI to use this script
  if (php_sapi_name() !== 'cli') {
    echo 'This script it dedicated for PHP CLI';
    exit;
  }

  // Find WordPress Path
  function bmi_find_wordpress_base_path() {

    $dir = dirname(__FILE__);
    $previous = null;

    do {

      if (file_exists($dir . '/wp-config.php')) return $dir;
      if ($previous == $dir) break;
      $previous = $dir;

    } while ($dir = dirname($dir));

    return null;

  }

  // Restore Handler
  function bmi_handle_restore($backup) {

    // Require classes
    require_once BMI_INCLUDES . '/logger.php';
    require_once BMI_INCLUDES . '/extracter/extract.php';
    require_once BMI_INCLUDES . '/progress/migration.php';
    require_once BMI_INCLUDES . '/check/checker.php';

  }

  // Tell WP to not use Themes and set Base Path
  define('BASE_PATH', bmi_find_wordpress_base_path() . '/');
  define('WP_USE_THEMES', false);

  // Use WP Globals and load WordPress
  global $wp, $wp_query, $wp_the_query, $wp_rewrite, $wp_did_header;
  require_once BASE_PATH . 'wp-load.php';

  // Below all WordPress functions and directives can be accessed
  if (isset($argv[1]) && in_array($argv[1], ['bmi_restore']) && BASE_PATH != null) {

    if ($argv[1] === 'bmi_restore' && isset($argv[2])) bmi_handle_restore($argv[2]);

  }
